SynapSynapDocs
Hub REST API

Lifecycle

The Lifecycle operations of the Hub REST API (4 operations).

For BuildersOpen-source podSynap CloudGenerated from Synap-core/backend@c31e261ab (main)
GET
/lifecycle/board

Authorization

bearerAuth
headerAuthorizationBearer <API key>

Pod API key (Bearer) issued via /api/hub/setup/agent or pod admin tooling. Browser/web clients may use the X-Session-Token header instead. See GET /api/hub/auth/status to introspect the calling key.

Query Parameters

profileSlug*string
Length1 <= length
workspaceId?string
projectId?string
trackId?string
windowDays?integer
Range1 <= value <= 366
firstN?|
Range0 <= value <= 50
column?string
Length1 <= length
cursor?string
limit?integer
Range1 <= value <= 100
workedBy?string
Value in"true""false"

Response Body

Board

application/json
  1. response
[key: string]?unknown
Example Request
curl -X GET 'https://pod.example.com/api/hub/lifecycle/board?profileSlug=string'
Example Response
{  "property1": null,  "property2": null}
GET
/lifecycle/throughput

Authorization

bearerAuth
headerAuthorizationBearer <API key>

Pod API key (Bearer) issued via /api/hub/setup/agent or pod admin tooling. Browser/web clients may use the X-Session-Token header instead. See GET /api/hub/auth/status to introspect the calling key.

Query Parameters

profileSlug*string
Length1 <= length
workspaceId?string
projectId?string
trackId?string
bucket?string
Value in"day""week""month"
count?integer
Range1 <= value <= 366

Response Body

Throughput

application/json
  1. response
[key: string]?unknown
Example Request
curl -X GET 'https://pod.example.com/api/hub/lifecycle/throughput?profileSlug=string'
Example Response
{  "property1": null,  "property2": null}
GET
/lifecycle/home

Authorization

bearerAuth
headerAuthorizationBearer <API key>

Pod API key (Bearer) issued via /api/hub/setup/agent or pod admin tooling. Browser/web clients may use the X-Session-Token header instead. See GET /api/hub/auth/status to introspect the calling key.

Query Parameters

projectId?string

Response Body

Home

application/json
  1. response
[key: string]?unknown
Example Request
curl -X GET 'https://pod.example.com/api/hub/lifecycle/home'
Example Response
{  "property1": null,  "property2": null}
GET
/lifecycle/moving

Authorization

bearerAuth
headerAuthorizationBearer <API key>

Pod API key (Bearer) issued via /api/hub/setup/agent or pod admin tooling. Browser/web clients may use the X-Session-Token header instead. See GET /api/hub/auth/status to introspect the calling key.

Query Parameters

projectId?string
workspaceId?string
limit?integer
Range1 <= value <= 100

Response Body

Moving now

application/json
  1. response
[key: string]?unknown
Example Request
curl -X GET 'https://pod.example.com/api/hub/lifecycle/moving'
Example Response
{  "property1": null,  "property2": null}